Name: xscreensaver-gl
Version: 3.17
Release: 2
Copyright: BSD
Group: Amusements/Graphics
URL: http://www.jwz.org/xscreensaver/
Source: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.gz
Source1: desktop-entries.tar.gz
Patch0: xscreensaver-2.34-noseguy.patch
Patch1: xscreensaver-bsod.patch
Buildroot: /var/tmp/xscreensaver-root
Requires: xscreensaver = %{version}
Summary: A set of GL screensavers.
%description
The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.

%prep
%setup -q -n xscreensaver-%{version} -b 1 -n xscreensaver-%{version}
%patch0 -p1 -b .noseguy
%patch1 -p1 -b .bsod

%build
RPMOPTS=""
%ifarch alpha
RPMOPTS="--without-xshm-ext"
%endif

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif --with-pam --with-gl $RPMOPTS \
	--enable-subdir=../lib/xscreensaver
make

%install
DIR=$RPM_BUILD_ROOT/usr/share/control-center/.data
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
   AD_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
   HACKDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver \
   PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d \
   install-strip
mkdir -p $RPM_BUILD_ROOT/usr/share/control-center/.data/
install -m 644 desktop-entries/* $RPM_BUILD_ROOT/usr/share/control-center/.data/
# Build the file list. Whee...
cd $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
for hack in *; do
   if ldd $hack | grep -q GL ; then
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks
   else
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/xhacks
   fi
done
echo $RPM_BUILD_DIR
# append list of desktop entries to files list (glhack)
find $DIR -type f | sed -e "s#^$RPM_BUILD_ROOT##g" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks

%clean
rm -rf $RPM_BUILD_ROOT

%files -f glhacks
%defattr(-,root,root)


%changelog
* Wed Aug 25 1999 Tim Powers <timp@redhat.com>
- added desktop entries so that we can choose the screensaver from the
  control-center in gnome
  
* Thu Aug 19 1999 Bill Nottingham <notting@redhat.com>
- package GL stuff separately for powertools
